/**
 * @file uart.h
 * @author Bianca Forkel
 */

#ifndef MBSE_UART_H
#define MBSE_UART_H

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <termios.h>
#include <errno.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/select.h>

extern int  uart_filestream;

char port[13];

int uart_setup(const char*);

int uart_send_byte(char, int);

int uart_send_string(char*, int, int);

int uart_receive(char*, int, int);

void uart_close();

#endif
